summaryrefslogtreecommitdiff
path: root/install-info/tests/ii-0024-test
diff options
context:
space:
mode:
Diffstat (limited to 'install-info/tests/ii-0024-test')
-rwxr-xr-xinstall-info/tests/ii-0024-test28
1 files changed, 28 insertions, 0 deletions
diff --git a/install-info/tests/ii-0024-test b/install-info/tests/ii-0024-test
new file mode 100755
index 0000000..077a335
--- /dev/null
+++ b/install-info/tests/ii-0024-test
@@ -0,0 +1,28 @@
+#!/bin/sh
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. ./defs || exit 1
+
+outputdirfile=`mktemp ii24-XXXXXXXX`
+cp ${testdir}/ii-0024-input-dir-file $outputdirfile
+if [ "x$?" != "x0" ]; then
+ exit 1
+fi
+
+${install_info} --section="Antlered Animals" ${testdir}/ii-0024-input-info-file $outputdirfile
+retval=$?
+if [ "x$retval" != "x0" ]; then
+ exit $retval
+fi
+
+diff ${testdir}/ii-0024-expected-dir-file $outputdirfile
+retval=$?
+
+rm -f $outputdirfile
+exit $retval